Index: trunk/BNC/src/upload/bncrtnetuploadcaster.cpp
===================================================================
--- trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 6851)
+++ trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 6857)
@@ -439,9 +439,15 @@
           }
         }
-        else if (key == "yawAngle") {
+        else if (key == "YawAngle") {
           in >> numVal >> pbSat.yA;
         }
-        else if (key == "yawRate") {
+        else if (key == "YawRate") {
           in >> numVal >> pbSat.yR;
+        }
+        else if (key == "DisInd") {
+          in >> numVal >> pbSat.dispInd;
+        }
+        else if (key == "MwInd") {
+          in >> numVal >> pbSat.mwInd;
         }
         else if (key == "PhaseBias") {
@@ -449,5 +455,5 @@
           for (int ii = 0; ii < numVal; ii++) {
             phaseBiasSignal pb;
-            in >> pb.type >> pb.bias >> pb.intInd >> pb.WLInd
+            in >> pb.type >> pb.bias >> pb.intInd >> pb.wlInd
               >> pb.discCount;
             phaseBiasList.append(pb);
@@ -941,4 +947,6 @@
 
       if (phasebiasSat) {
+        phasebias.DispersiveBiasConsistencyIndicator = pbSat.dispInd;
+        phasebias.MWConsistencyIndicator = pbSat.mwInd;
         phasebiasSat->ID = prn.mid(1).toInt();
         phasebiasSat->NumberOfPhaseBiases = 0;
@@ -955,5 +963,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -964,5 +972,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -973,5 +981,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -982,5 +990,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -991,5 +999,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1000,5 +1008,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1009,5 +1017,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1018,5 +1026,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1027,5 +1035,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1036,5 +1044,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1045,5 +1053,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1054,5 +1062,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1063,5 +1071,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1078,5 +1086,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1087,5 +1095,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1096,5 +1104,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1105,5 +1113,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1120,5 +1128,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1129,5 +1137,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1138,5 +1146,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1147,5 +1155,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1156,5 +1164,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1165,5 +1173,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1174,5 +1182,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1183,5 +1191,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1192,5 +1200,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1201,5 +1209,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1210,5 +1218,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1219,5 +1227,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1234,5 +1242,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1243,5 +1251,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1252,5 +1260,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1261,5 +1269,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1270,5 +1278,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1279,5 +1287,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1288,5 +1296,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1297,5 +1305,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1306,5 +1314,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1315,5 +1323,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1324,5 +1332,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1333,5 +1341,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1342,5 +1350,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1357,5 +1365,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1366,5 +1374,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1375,5 +1383,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1384,5 +1392,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1399,5 +1407,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1408,5 +1416,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1417,5 +1425,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1426,5 +1434,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1435,5 +1443,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1444,5 +1452,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1453,5 +1461,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1462,5 +1470,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
@@ -1471,5 +1479,5 @@
               phasebiasSat->Biases[ii].Bias = pbSig.bias;
               phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.wlInd;
               phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }