Index: /trunk/BNC/src/bncwindow.cpp
===================================================================
--- /trunk/BNC/src/bncwindow.cpp	(revision 6882)
+++ /trunk/BNC/src/bncwindow.cpp	(revision 6883)
@@ -852,5 +852,4 @@
   // PPP
   // ---
-  _pppWidgets._nmeaPort->setMaximumWidth(8*ww);
   _pppWidgets._dataSource->setMaximumWidth(20*ww);
   _pppWidgets._corrMount->setMaximumWidth(20*ww);
@@ -862,5 +861,5 @@
   pppLayout1->addWidget(new QLabel("Data source"),           ir, 0);
   pppLayout1->addWidget(_pppWidgets._dataSource,             ir, 1);
-//pppLayout1->addItem(new QSpacerItem(4*ww, 0),              ir, 2);
+  pppLayout1->addItem(new QSpacerItem(4*ww, 0),              ir, 2);
   pppLayout1->addWidget(new QLabel("   RINEX Obs file(s)"),  ir, 3);
   pppLayout1->addWidget(_pppWidgets._rinexObs,               ir, 4);
@@ -884,6 +883,4 @@
   pppLayout1->addWidget(new QLabel("   NMEA file"),          ir, 3);
   pppLayout1->addWidget(_pppWidgets._nmeaFile,               ir, 4);
-  pppLayout1->addWidget(new QLabel("   Port"),               ir, 5);
-  pppLayout1->addWidget(_pppWidgets._nmeaPort,               ir, 6); 
   ++ir;
   pppLayout1->addWidget(new QLabel("   SNX TRO file"),       ir, 3);
@@ -915,6 +912,4 @@
   _pppWidgets._nmeaFile->setWhatsThis(tr("<p>Specify the path to daily NMEA files using e.g. the following syntax (example):</p><p> ./PPP_$(STATION)_$(DATE).nmea</p><p>BNC will produce one daily NMEA file per station, mainly to save NMEA GGA sentences from the PPP solution. Variable $(STATION) stands for the affected station and $(DATE) stands for the date.</p>"));
 
-  _pppWidgets._nmeaPort->setWhatsThis(tr("<p>Text fehlt</p>"));
-
   _pppWidgets._snxtroFile->setWhatsThis(tr("<p>Specify the path to daily SINEX Troposphere files using e.g. the following syntax (example):</p><p> ./PPP_$(STATION)_$(DATE).tro</p><p>BNC will produce one daily troposphere file per station to save troposphere parameters from the PPP solution in SINEX Troposphere format. Variable $(STATION) stands for the affected station and $(DATE) stands for the date.</p>"));
 
@@ -942,4 +937,6 @@
 
   _pppWidgets._lcGalileo->setWhatsThis(tr("<p>Specify on which kind of ionosphere-free linear combination of Galileo observations you want to base ambiguity resolutions.</p><p><ul><li>Specifying 'P3' means that you request BNC to use the so-called P3 ionosphere-free linear combination of code observations.</li><li>'L3' means that you request BNC to use the so-called L3 ionosphere-free linear combination of phase observations.</li> <li>'P3&L3' means that you request BNC to use both, P3 and L3 ionosphere-free linear combination of code and phase observations.</li></ul></p><p>Specifying 'no' means that you don't want BNC to estimate ambiguities using linear combinations of Galileo observations.</p>"));
+
+  _pppWidgets._lcBDS->setWhatsThis(tr("<p>Specify on which kind of ionosphere-free linear combination of BDS observations you want to base ambiguity resolutions.</p><p><ul><li>Specifying 'P3' means that you request BNC to use the so-called P3 ionosphere-free linear combination of code observations.</li><li>'L3' means that you request BNC to use the so-called L3 ionosphere-free linear combination of phase observations.</li> <li>'P3&L3' means that you request BNC to use both, P3 and L3 ionosphere-free linear combination of code and phase observations.</li></ul></p><p>Specifying 'no' means that you don't want BNC to estimate ambiguities using linear combinations of BDS observations.</p>"));
 
   QVBoxLayout* pppLayout2 = new QVBoxLayout();
@@ -982,6 +979,6 @@
   pppLayout3->addWidget(_pppWidgets._eleWgtPhase,           ir, 7);
   ++ir;
-  pppLayout3->addWidget(new QLabel("Wait for corrections"), ir, 0, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._corrWaitTime,          ir, 1);
+  pppLayout3->addWidget(new QLabel("BDS LCs"),              ir, 0, Qt::AlignLeft);
+  pppLayout3->addWidget(_pppWidgets._lcBDS,                 ir, 1);
   pppLayout3->addWidget(new QLabel("Min # of Obs"),         ir, 3, Qt::AlignLeft);
   pppLayout3->addWidget(_pppWidgets._minObs,                ir, 4);
@@ -989,6 +986,8 @@
   pppLayout3->addWidget(_pppWidgets._minEle,                ir, 7);
   ++ir;
-  pppLayout3->addWidget(new QLabel("Seeding (sec)"),        ir, 0, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._seedingTime,           ir, 1);
+  pppLayout3->addWidget(new QLabel("Wait for corrections"), ir, 0, Qt::AlignLeft);
+  pppLayout3->addWidget(_pppWidgets._corrWaitTime,          ir, 1);
+  pppLayout3->addWidget(new QLabel("Seeding (sec)"),        ir, 3, Qt::AlignLeft);
+  pppLayout3->addWidget(_pppWidgets._seedingTime,           ir, 4);
   ++ir;
   pppLayout3->addWidget(new QLabel(""),                     ir, 8);
Index: /trunk/BNC/src/pppWidgets.cpp
===================================================================
--- /trunk/BNC/src/pppWidgets.cpp	(revision 6882)
+++ /trunk/BNC/src/pppWidgets.cpp	(revision 6883)
@@ -61,5 +61,4 @@
   _logFile      = new QLineEdit();     _logFile     ->setObjectName("PPP/logFilePPP");   _widgets << _logFile;     
   _nmeaFile     = new QLineEdit();     _nmeaFile    ->setObjectName("PPP/nmeaFile");     _widgets << _nmeaFile;    
-  _nmeaPort     = new QLineEdit();     _nmeaPort    ->setObjectName("PPP/nmeaPort");     _widgets << _nmeaPort;
   _snxtroFile   = new QLineEdit();     _snxtroFile  ->setObjectName("PPP/snxtroFile");   _widgets << _snxtroFile;
   _snxtroSampl  = new QSpinBox();      _snxtroSampl ->setObjectName("PPP/snxtroSampl");  _widgets << _snxtroSampl;
@@ -68,4 +67,5 @@
   _lcGLONASS    = new QComboBox();     _lcGLONASS   ->setObjectName("PPP/lcGLONASS");    _widgets << _lcGLONASS;   
   _lcGalileo    = new QComboBox();     _lcGalileo   ->setObjectName("PPP/lcGalileo");    _widgets << _lcGalileo;   
+  _lcBDS        = new QComboBox();     _lcBDS       ->setObjectName("PPP/lcBDS");        _widgets << _lcBDS;
   _sigmaC1      = new QLineEdit();     _sigmaC1     ->setObjectName("PPP/sigmaC1");      _widgets << _sigmaC1;     
   _sigmaL1      = new QLineEdit();     _sigmaL1     ->setObjectName("PPP/sigmaL1");      _widgets << _sigmaL1;     
@@ -112,4 +112,7 @@
   _lcGalileo->addItems(QString("no,P3,L3,P3&L3").split(","));
 
+  _lcBDS->setEditable(false);
+  _lcBDS->addItems(QString("no,P3,L3,P3&L3").split(","));
+
   _snxtroSampl->setMinimum(0);
   _snxtroSampl->setMaximum(300);
@@ -132,8 +135,8 @@
   _corrWaitTime->setSpecialValueText("no");
 
-  _staTable->setColumnCount(9);
+  _staTable->setColumnCount(10);
   _staTable->setRowCount(0);
   _staTable->setHorizontalHeaderLabels(
-     QString("Station,Sigma N,Sigma E,Sigma H,Noise N,Noise E,Noise H,Tropo Sigma,Tropo Noise").split(","));
+     QString("Station,Sigma N,Sigma E,Sigma H,Noise N,Noise E,Noise H,Tropo Sigma,Tropo Noise, NMEA Port").split(","));
   _staTable->setSelectionMode(QAbstractItemView::ExtendedSelection);
   _staTable->setSelectionBehavior(QAbstractItemView::SelectRows);
@@ -204,4 +207,8 @@
     _lcGalileo->setCurrentIndex(ii);
   }
+  ii = _lcBDS->findText(settings.value(_lcBDS->objectName()).toString());
+  if (ii != -1) {
+    _lcBDS->setCurrentIndex(ii);
+  }
 
   // FileChoosers
@@ -218,5 +225,4 @@
   _logFile    ->setText(settings.value(_logFile    ->objectName()).toString());
   _nmeaFile   ->setText(settings.value(_nmeaFile   ->objectName()).toString());
-  _nmeaPort   ->setText(settings.value(_nmeaPort   ->objectName()).toString());
   _snxtroFile ->setText(settings.value(_snxtroFile ->objectName()).toString());
   _sigmaC1    ->setText(settings.value(_sigmaC1    ->objectName()).toString());
@@ -287,5 +293,4 @@
   settings.setValue(_logFile     ->objectName(), _logFile     ->text());
   settings.setValue(_nmeaFile    ->objectName(), _nmeaFile    ->text());
-  settings.setValue(_nmeaPort    ->objectName(), _nmeaPort    ->text());
   settings.setValue(_snxtroFile  ->objectName(), _snxtroFile  ->text());
   settings.setValue(_snxtroSampl ->objectName(), _snxtroSampl ->value());
@@ -293,4 +298,5 @@
   settings.setValue(_lcGLONASS   ->objectName(), _lcGLONASS   ->currentText());
   settings.setValue(_lcGalileo   ->objectName(), _lcGalileo   ->currentText());
+  settings.setValue(_lcBDS       ->objectName(), _lcBDS       ->currentText());
   settings.setValue(_sigmaC1     ->objectName(), _sigmaC1     ->text());
   settings.setValue(_sigmaL1     ->objectName(), _sigmaL1     ->text());
Index: /trunk/BNC/src/pppWidgets.h
===================================================================
--- /trunk/BNC/src/pppWidgets.h	(revision 6882)
+++ /trunk/BNC/src/pppWidgets.h	(revision 6883)
@@ -46,5 +46,4 @@
   QLineEdit*     _logFile;
   QLineEdit*     _nmeaFile;
-  QLineEdit*     _nmeaPort;
   QLineEdit*     _snxtroFile;
   QSpinBox*      _snxtroSampl;
@@ -53,4 +52,5 @@
   QComboBox*     _lcGLONASS;
   QComboBox*     _lcGalileo;
+  QComboBox*     _lcBDS;
   QLineEdit*     _sigmaC1;
   QLineEdit*     _sigmaL1;