Index: trunk/BNC/src/bnchelp.html
===================================================================
--- trunk/BNC/src/bnchelp.html	(revision 6894)
+++ trunk/BNC/src/bnchelp.html	(revision 6895)
@@ -2374,5 +2374,5 @@
 <tr><td>CoM</td><td>Satellite Center of Mass coordinates in meters</td></tr>
 <tr><td>CodeBias</td><td>Satellite Code Biases in meters with two characters for frequency and tracking mode per bias as defined in RINEX 3 and preceded by total number of biases</td></tr>
-<tr><td>YawAngle</td><td>Satellite Yaw Angle in semi-circles, which shall be used for the computation of phase wind-up correction</td></tr>
+<tr><td>YawAngle</td><td>Satellite Yaw Angle in radiant, which shall be used for the computation of phase wind-up correction</td></tr>
 <tr><td>YawRate</td><td>Satellite Yaw Rate in semi-circles per second, which is the rate of Yaw Angle</td></tr>
 <tr><td>PhaseBias</td><td>Satellite Phase Biases in meters with two characters for frequency and tracking mode per bias as defined in RINEX 3, preceded by total number of biases and followed by Signal Wilde-Lane Integer Indicator as well as Signal Discontinuity Counter</td></tr>
@@ -2400,29 +2400,20 @@
 <p>
 <pre>
-*  2013  3 21  7 19 55.00000000
-G01 APC 3   19869258.4381   9158001.1526  15095321.8460 Clk 1       2755.5447 Vel 3        977.3298      1661.2202     -2283.9009 CoM 3   19869259.6565   9158001.3302  15095322.8837 CodeBias 2 1C     .3149 2P  -11.7432
-G02 APC 3  -13043930.7341 -22955958.1832   4995469.3779 Clk 1     126894.0959 Vel 3        601.6561       298.3845      3009.2928 CoM 3  -13043931.1120 -22955958.8484   4995469.5227 CodeBias 2 1C    -.8828 2P    1.7301
-G03 APC 3   13851298.3819  11694861.0159 -19987853.3966 Clk 1      55007.9399 Vel 3      -2324.2934       726.4814     -1194.1615 CoM 3   13851299.8073  11694861.9880 -19987855.6102 CodeBias 2 1C    1.8202 2P     .5742
-...
-G29 APC 3  -25369875.6774   5450979.1186  -5498874.2923 Clk 1     125546.6568 Vel 3       -721.4418      -217.8014      3085.5017 CoM 3  -25369876.4972   5450979.2947  -5498874.4700 CodeBias 2 1C     .2341 2P  -13.7924
-G31 APC 3    4557628.7816  22320564.7677  13588043.6852 Clk 1      92143.1903 Vel 3      -1131.5857     -1287.0559      2553.6555 CoM 3    4557628.9485  22320565.5851  13588044.1828 CodeBias 2 1C    -.9824 2P    2.2349
-G32 APC 3   12930439.3226   8685237.4669  21670974.7431 Clk 1    -163317.4919 Vel 3      -1292.6073      2393.9556      -138.1822 CoM 3   12930440.6397   8685238.1194  21670977.1159 CodeBias 2 1C     .2443 2P     .2332
-R01 APC 3   -3814353.2138  18413537.6447  17242362.8036 Clk 1     -52077.3861 Vel 3      -1372.0183      1923.0403     -2354.6867 CoM 3   -3814353.2950  18413539.7944  17242364.1896
-R02 APC 3   10258656.7268   4879144.7080  22835835.8517 Clk 1    -111012.6585 Vel 3      -1918.7777      2467.7616       336.1703 CoM 3   10258657.8278   4879145.6898  22835837.9019
-R03 APC 3   17433868.5658 -10441288.0804  15458488.7196 Clk 1     -35553.9312 Vel 3      -1394.4972      1587.8467      2649.6173 CoM 3   17433870.5544 -10441288.6421  15458490.3309
-...
-R04 APC 3   15129778.1437 -20496855.9071  -1285420.7894 Clk 1       9829.4493 Vel 3        -22.5415      -241.9958      3566.2367 CoM 3   15129779.9938 -20496857.4962  -1285420.9249
-R05 APC 3    3891203.2705 -18477936.6471 -17158415.7654 Clk 1     -51351.8469 Vel 3       1362.4084     -1912.5526      2371.0748 CoM 3    3891203.9447 -18477938.1061 -17158417.7428
-R06 APC 3   -9778050.0154  -5421735.2196 -22945142.5344 Clk 1       7950.7063 Vel 3       1930.2638     -2471.0432      -241.4578 CoM 3   -9778050.8478  -5421735.2350 -22945144.9123
-...
-R22 APC 3  -13369019.8840   7674786.2487 -20266888.3543 Clk 1      23397.9930 Vel 3      -2765.5953      -321.7786      1715.1396 CoM 3  -13369020.9431   7674787.4768 -20266890.2198
-R23 APC 3    6011527.0765  11338911.0638 -22044448.4214 Clk 1    -148199.1269 Vel 3      -2980.2013      -485.6643     -1062.5898 CoM 3    6011527.7482  11338912.5512 -22044450.1556
-R24 APC 3   21300823.5162   8426171.8952 -11241665.2306 Clk 1     -27112.9305 Vel 3      -1498.4393      -376.6107     -3125.3066 CoM 3   21300825.4800   8426173.2206 -11241666.1521
+* 2015 6 11 15 10 40.000000
+VTEC 0 1 0 6 6 450000.0 20.4660 0.0000 0.0000 0.0000 0.0000 0.0000 0.0000 5.3590 9.6580 0.0000 0.0000 0.0000 0.0000 0.0000 -6.3610 -0.1210 1.1050 0.0000 0.0000 0.0000 0.0000 -2.7140 -1.8200 -0.9920 -0.6430 0.0000 0.0000 0.0000 1.9140 -0.5180 0.2530 0.0870 -0.0110 0.0000 0.0000 2.2950 1.0510 -0.9540 0.6220 -0.0720 -0.0810 0.0000 -0.9760 0.7570 0.2320 -0.2520 0.1970 -0.0680 -0.0280 0.0000 0.0000 0.0000 0.0000 0.0000 0.0000 0.0000 0.0000 0.2720 0.0000 0.0000 0.0000 0.0000 0.0000 0.0000 1.1100 -1.0170 0.0000 0.0000 0.0000 0.0000 0.0000 -1.1500 0.5440 0.9890 0.0000 0.0000 0.0000 0.0000 -0.3770 -0.1990 0.2670 -0.0470 0.0000 0.0000 0.0000 0.6550 -0.0130 -0.2310 -0.4810 -0.3510 0.0000 0.0000 0.2360 -0.0710 0.0280 0.1900 -0.0810 0.0710 
+IND 0 1
+G01 APC 3   -14442611.532   -13311059.070   -18020998.395 Clk 1   -1426.920500 Vel 3  2274.647600   -28.980300 -1787.861900 CoM 3   -14442612.572   -13311059.518   -18020999.539 CodeBias 6 1W -3.760000 1C -3.320000 2W -6.200000 2X -5.780000 1H -3.350000 5I -5.430000 YawAngle 1 -0.315600 YawRate 1 0.0 PhaseBias 3 1C  3.9473 1 2 4 2W  6.3143 1 2 4 5I 6.7895 1 2 4
+G02 APC 3    -8859103.160    14801278.856    20456920.800 Clk 1  171219.083500 Vel 3 -2532.296700  -161.275800 -1042.884100 CoM 3    -8859103.418    14801279.287    20456921.395 CodeBias 6 1W  3.930000 1C  3.610000 2W  6.480000 2X  0.000000 1H  3.580000 5I  0.000000 YawAngle 1 -0.693500 YawRate 1 0.0 PhaseBias 2 1C -4.0902 1 2 4 2W -6.7045 1 2 4
+G03 APC 3   -13788295.679   -22525098.353     2644811.508 Clk 1  104212.074300 Vel 3   102.263400  -429.953400 -3150.231900 CoM 3   -13788296.829   -22525099.534     2644811.518 CodeBias 6 1W -2.650000 1C -2.160000 2W -4.360000 2X -4.480000 1H -2.070000 5I -5.340000 YawAngle 1 -0.428800 YawRate 1 0.0 PhaseBias 3 1C  2.9024 1 2 2 2W  4.6124 1 2 2 5I 5.3694 1 2 2
+..
+R01 APC 3    -6783489.153   -23668850.753     6699094.457 Clk 1 - 45875.658100 Vel 3  -267.103000  -885.983700 -3403.253200 CoM 3    -6783489.307   -23668853.173     6699095.274 CodeBias 4 1P -2.496400 1C -2.490700 2P -4.126600 2C -3.156200
+R02 APC 3   -11292959.022   -10047039.425    20577343.288 Clk 1   41215.750900 Vel 3  -476.369400 -2768.936600 -1620.000600 CoM 3   -11292959.672   -10047040.710    20577345.344 CodeBias 4 1P  0.211200 1C  0.391300 2P  0.349100 2C  0.406300
+R03 APC 3    -9226469.614     9363128.850    21908853.313 Clk 1   13090.322800 Vel 3  -369.088600 -2964.934500  1111.041000 CoM 3    -9226470.226     9363129.442    21908855.791 CodeBias 4 1P  2.283800 1C  2.483800 2P  3.775300 2C  3.785500
+..
+E11 APC 3     2965877.898    17754418.441    23503540.946 Clk 1   33955.329000 Vel 3 -1923.398100  1361.709200  -784.555800 CoM 3     2965878.082    17754418.669    23503541.507 CodeBias 3 1B  1.382100 5Q  2.478400 7Q  2.503300
+E12 APC 3   -14807433.144    21753389.581    13577231.476 Clk 1 -389652.211900 Vel 3 -1082.464300   825.868400 -2503.982200 CoM 3   -14807433.366    21753389.966    13577231.926 CodeBias 3 1B  0.386600 5Q  0.693300 7Q  0.534700
+E19 APC 3   -15922225.351     8097517.292    23611910.403 Clk 1   -2551.650800 Vel 3  -183.377800 -2359.143700   684.105100 CoM 3   -15922225.569     8097517.329    23611910.995 CodeBias 3 1B -1.777000 5Q -3.186600 7Q -3.069100
+..
 EOE
-*  2013  3 21  7 20  0.00000000
-G01 APC 3   19874144.1634   9166303.6499  15083898.3374 Clk 1       2755.5498 Vel 3        976.9602      1659.7789     -2285.5025 CoM 3   19874145.3821   9166303.8281  15083899.3746 CodeBias 2 1C     .3151 2P  -11.7430
-G02 APC 3  -13040919.4263 -22954462.9892   5010514.5569 Clk 1     126894.1080 Vel 3        602.8672       299.6930      3008.7787 CoM 3  -13040919.8041 -22954463.6543   5010514.7021 CodeBias 2 1C    -.8829 2P    1.7303
-G03 APC 3   13839675.6507  11698495.4721 -19993819.1341 Clk 1      55007.9600 Vel 3      -2324.7994       727.3013     -1192.1337 CoM 3   13839677.0746  11698496.4446 -19993821.3483 CodeBias 2 1C    1.8205 2P     .5741
-...
 </pre>
 </p>