Index: /trunk/BNC/src/bnchelp.html
===================================================================
--- /trunk/BNC/src/bnchelp.html	(revision 6901)
+++ /trunk/BNC/src/bnchelp.html	(revision 6902)
@@ -657,5 +657,5 @@
 </p>
 <p>
-The screenshot below shows an example setup of BNC when converting streams to RINEX. Streams are coming from various NTRIP Broadcasters as well as from a serial communication link. Specifying a decoder string 'ZERO' means to not convert the affected stream but save its contents as received. Note that one RTCM Version 2 stream in this example is forced to be saved in RINEX Version 3 format. Although it is possible to do this it is not recommended because RTCM Version 2 streams can not be precisely mapped to this file format, see Section 'Version 2' below for details.
+The screenshot below shows an example setup of BNC when converting streams to RINEX. Streams are coming from various NTRIP Broadcasters as well as from a serial communication link. Specifying a decoder string 'ZERO' means to not convert the affected stream but save its contents as received. 
 </p>
 
@@ -712,5 +712,5 @@
 <p><a name="rnxskl"><h4>3.4.5 Skeleton Extension - optional</h4></p>
 <p>
-Whenever BNC starts generating RINEX Observation files (and then once every day at midnight), it first tries to retrieve information needed for RINEX headers from so-called public RINEX header skeleton files which are derived from sitelogs. A HTTP link to a directory containing these skeleton files may be available through data field number 7 of the affected NET record in the source-table. See <u>http://www.epncb.oma.be:80/stations/log/skl/brus.skl</u> for an example of a public RINEX header skeleton file for the Brussels EPN station.
+Whenever BNC starts generating RINEX Observation files (and then once every day at midnight), it first tries to retrieve information needed for RINEX headers from so-called public RINEX header skeleton files which are derived from sitelogs. A HTTP or HTTPS link to a directory containing these skeleton files may be available through data field number 7 of the affected NET record in the source-table. See <u>http://www.epncb.oma.be:80/stations/log/skl/brus.skl</u> for an example of a public RINEX header skeleton file for the Brussels EPN station.
 </p>
 <p>
@@ -767,22 +767,22 @@
 <p>
 <pre>
-                    OBSERVATION DATA    M (Mixed)           RINEX VERSION / TYPE
-DUND                                                        MARKER NAME
-50212M003                                                   MARKER NUMBER
-4635120796          TRIMBLE NETR9       1.15                REC # / TYPE / VERS
-12626150            TRM41249.00     NONE                    ANT # / TYPE
- -4388121.1700   726671.0500 -4556535.6300                  APPROX POSITION XYZ
-        0.0020        0.0000        0.0000                  ANTENNA: DELTA H/E/N
-GeoNet Reception    GNS                                     OBSERVER / AGENCY
-G   28 21C L1C D1C S1C C1W L1W D1W S1W C5X L5X D5X S5X C2W  SYS / # / OBS TYPES
-       L2W D2W S2W C2X L2X D2X S2X                          SYS / # / OBS TYPES
-R   16 C1C L1C D1C S1C C1P L1P D1P S1P C2P L2P D2P S2P C2C  SYS / # / OBS TYPES
-       L2C D2C S2C                                          SYS / # / OBS TYPES
-S   12 C1C L1C D1C S1C C1W L1W D1W S1W C5I L5I D5I S5I      SYS / # / OBS TYPES
-E    8 C1  L1  D1  S1  C5  L5  D5  S5                       SYS / # / OBS TYPES
-C    4 C2I L2I D2I S2I                                      SYS / # / OBS TYPES
-J   12 C1C L1C D1C S1C C2  L2  D2  S2  C5  L5  D5  S5       SYS / # / OBS TYPES
-PORTIONS OF THIS HEADER GENERATED BY BKG FROM               COMMENT
-SITELOG dund_20070806.log                                   COMMENT
+                    OBSERVATION DATA    M (MIXED)           RINEX VERSION / TYPE
+CUT0                                                        MARKER NAME         
+59945M001                                                   MARKER NUMBER       
+5023K67889          TRIMBLE NETR9       5.01                REC # / TYPE / VERS 
+4928353386          TRM59800.00     SCIS                    ANT # / TYPE        
+ -2364337.2699  4870285.5624 -3360809.8398                  APPROX POSITION XYZ 
+        0.0000        0.0000        0.0000                  ANTENNA: DELTA H/E/N
+gnss@curtin.edu.au  CUT                                     OBSERVER / AGENCY   
+C   10 C1I L1I D1I S1I C6I L6I S6I C7I L7I S7I              SYS / # / OBS TYPES
+E   13 C1X L1X D1X S1X C5X L5X S5X C7X L7X S7X C8X L8X S8X  SYS / # / OBS TYPES
+G   13 C1C L1C D1C S1C C2W L2W S2W C2X L2X S2X C5X L5X S5X  SYS / # / OBS TYPES
+J   19 C1C L1C D1C S1C C1X L1X S1X C1Z L1Z S1Z C2X L2X S2X  SYS / # / OBS TYPES
+       C5X L5X S5X C6L L6L S6L                              SYS / # / OBS TYPES
+R   13 C1C L1C D1C S1C C1P L1P S1P C2C L2C S2C C2P L2P S2P  SYS / # / OBS TYPES
+S    7 C1C L1C D1C S1C C5I L5I S5I                          SYS / # / OBS TYPES
+PORTIONS OF THIS HEADER GENERATED BY THE IGS CB FROM        COMMENT             
+SITELOG cut0_20150507.log                                   COMMENT             
+                                                            END OF HEADER
 </pre>
 <p>
@@ -797,5 +797,5 @@
 <p><a name="rnxscript"><h4>3.4.7 Script - optional</h4></p>
 <p>
-Whenever a RINEX Observation file is saved, you might want to compress copy or upload it immediately via FTP. BNC allows you to execute a script/batch file to carry out these operations. To do that, specify the full path of the script/batch file here. BNC will pass the RINEX Observation file path to the script as a command line parameter (%1 on Windows systems, $1 on Unix/Linux/Mac OS X systems).
+Whenever a RINEX Observation file is saved, you might want to compress, copy or upload it immediately via FTP. BNC allows you to execute a script/batch file to carry out these operations. To do that, specify the full path of the script/batch file here. BNC will pass the RINEX Observation file path to the script as a command line parameter (%1 on Windows systems, $1 on Unix/Linux/Mac OS X systems).
 </p>
 <p>
@@ -830,5 +830,9 @@
 <p><a name="rnxvers3"><h4>3.4.9 Version 3 - optional</h4></p>
 <p>
-The default format for RINEX Observation files is RINEX Version 2.11. Select 'Version 3' if you would like to save observations in RINEX Version 3 format.
+The default format for RINEX Observation files is RINEX Version 2.11. Select RINEX 'Version 3' if you would like to save RTCM Version 3 observation streams in RINEX Version 3 format.
+</p>
+
+<p>
+Note that it is possible to force a RTCM Version 2 stream to be saved in RINEX Version 3 file format. However, this is not recommended because such stream can not be precisely mapped to RINEX Version 3 as the required information on tracking modes is no part of RTCM Version 2.
 </p>
 