Index: /trunk/BNC/src/bnchelp.html
===================================================================
--- /trunk/BNC/src/bnchelp.html	(revision 6930)
+++ /trunk/BNC/src/bnchelp.html	(revision 6931)
@@ -1664,4 +1664,7 @@
 </p>
 
+<p><img src="IMG/screenshot37.png"/></p>
+<p><u>Figure 15:</u> BNC configuration example for pulling, saving and output of Broadcast Corrections.</p>
+
 <p><a name="syncout"><h4>3.9. Feed Engine</h4></p>
 <p>
@@ -1748,5 +1751,5 @@
 </p>
 <p><img src="IMG/screenshot12.png"/></p>
-<p><u>Figure 15:</u> Synchronized BNC output via IP port to feed a GNSS real-time engine.</p>
+<p><u>Figure 16:</u> Synchronized BNC output via IP port to feed a GNSS real-time engine.</p>
 
 <p><a name="syncport"><h4>3.9.1 Port - optional</h4></p>
@@ -1790,5 +1793,5 @@
 
 <p><img src="IMG/screenshot35.png"/></p>
-<p><u>Figure 16:</u> Flowcharts, BNC forwarding a stream to a serial connected receiver; sending NMEA sentences is mandatory for VRS streams.</p>
+<p><u>Figure 17:</u> Flowcharts, BNC forwarding a stream to a serial connected receiver; sending NMEA sentences is mandatory for VRS streams.</p>
 
 <p>
@@ -1797,5 +1800,5 @@
 
 <p><img src="IMG/screenshot11.png"/></p>
-<p><u>Figure 17:</u> BNC pulling a VRS stream to feed a serial connected RTK rover.</p>
+<p><u>Figure 18:</u> BNC pulling a VRS stream to feed a serial connected RTK rover.</p>
 
 <p><a name="sermount"><h4>3.10.1 Mountpoint - optional</h4></p>
@@ -1949,5 +1952,5 @@
 </p>
 <p><img src="IMG/screenshot14.png"/></p>
-<p><u>Figure 18:</u> RTCM message numbers, latencies and observation types.</p>
+<p><u>Figure 19:</u> RTCM message numbers, latencies and observation types.</p>
 
 
@@ -2045,8 +2048,8 @@
 
 <p><img src="IMG/screenshot03.png"/></p>
-<p><u>Figure 19:</u> Precise Point Positioning with BNC, PPP Panel 1.</p>
+<p><u>Figure 20:</u> Precise Point Positioning with BNC, PPP Panel 1.</p>
 
 <p><img src="IMG/screenshot18.png"/></p>
-<p><u>Figure 20:</u> Precise Point Positioning with BNC, PPP Panel 2.</p>
+<p><u>Figure 21:</u> Precise Point Positioning with BNC, PPP Panel 2.</p>
 
 <p>
@@ -2344,8 +2347,8 @@
 
 <p><img src="IMG/screenshot17.png"/></p>
-<p><u>Figure 21:</u> BNC in 'Quick-Start' mode (PPP, Panel 1)</p>
+<p><u>Figure 22:</u> BNC in 'Quick-Start' mode (PPP, Panel 1)</p>
 
 <p><img src="IMG/screenshot22.png"/></p>
-<p><u>Figure 22:</u> BNC in 'Quick-Start' mode (PPP, Panel 2)</p>
+<p><u>Figure 23:</u> BNC in 'Quick-Start' mode (PPP, Panel 2)</p>
 
 <p><a name="pppgap"><h4>3.13.7.8 Maximal Solution Gap - optional if Quick-Start is set</h4></p>
@@ -2425,5 +2428,5 @@
 <br>
 <p><img src="IMG/screenshot32.png"/></p>
-<p><u>Figure 23:</u> Track of positions from BNC with Google Maps in the background.</p>
+<p><u>Figure 24:</u> Track of positions from BNC with Google Maps in the background.</p>
 
 <p><a name="pppmap"><h4>3.13.10.1 Open Map - optional</h4></p>
@@ -2540,11 +2543,11 @@
 <br>
 <p><img src="IMG/screenshot20.png"/></p>
-<p><u>Figure 24:</u> BNC combining Broadcast Correction streams.</p>
+<p><u>Figure 25:</u> BNC combining Broadcast Correction streams.</p>
 <p><br></p>
 <p><img src="IMG/screenshot21.png"/></p>
-<p><u>Figure 25:</u> BNC uploading the combined Broadcast Corrections stream.</p>
+<p><u>Figure 26:</u> BNC uploading the combined Broadcast Corrections stream.</p>
 <p></p>
 <p><img src="IMG/screenshot23.png"/></p>
-<p><u>Figure 26:</u> 'INTERNAL' PPP with BNC using combined Broadcast Corrections stream.</p>
+<p><u>Figure 27:</u> 'INTERNAL' PPP with BNC using combined Broadcast Corrections stream.</p>
 
 <p><a name="combimethod"><h4>3.13.1.2 Method - mandatory if 'Combine Corrections' table is populated</h4></p>
@@ -2951,5 +2954,5 @@
 </p>
 <p><img src="IMG/screenshot26.png"/></p>
-<p><u>Figure 27:</u> Producing Broadcast Corrections from incoming precise orbits and clocks and uploading them to an NTRIP Broadcaster.</p>
+<p><u>Figure 28:</u> Producing Broadcast Corrections from incoming precise orbits and clocks and uploading them to an NTRIP Broadcaster.</p>
 
 <p><a name="upeph"><h4>3.16. Upload Ephemeris</h4></p>
@@ -2978,5 +2981,5 @@
 
 <p><img src="IMG/screenshot28.png"/></p>
-<p><u>Figure 28:</u> Producing a Broadcast Ephemeris stream from navigation messages of globally distributed RTCM streams and uploading them in RTCM Version 3 format to an NTRIP Broadcaster.</p>
+<p><u>Figure 29:</u> Producing a Broadcast Ephemeris stream from navigation messages of globally distributed RTCM streams and uploading them in RTCM Version 3 format to an NTRIP Broadcaster.</p>
 
 <p><a name="streams"><h4>3.17. Streams</h4></p>
@@ -3045,5 +3048,5 @@
 
 <p><img src="IMG/screenshot08.png"/></p>
-<p><u>Figure 29:</u> Bandwidth consumption of incoming streams.</p>
+<p><u>Figure 30:</u> Bandwidth consumption of incoming streams.</p>
 
 <p><a name="latency"><h4>3.18.3 Latency</h4></p>
@@ -3053,5 +3056,5 @@
 
 <p><img src="IMG/screenshot07.png"/></p>
-<p><u>Figure 30:</u> Latency of incoming streams.</p>
+<p><u>Figure 31:</u> Latency of incoming streams.</p>
 
 <p><a name="ppptab"><h4>3.18.4 PPP Plot</h4></p>
@@ -3061,5 +3064,5 @@
 
 <p><img src="IMG/screenshot13.png"/></p>
-<p><u>Figure 31:</u> Time series plot of PPP session.</p>
+<p><u>Figure 32:</u> Time series plot of PPP session.</p>
 
 <p><a name="bottom"><h4>3.19. Bottom Menu Bar</h4></p>
@@ -3069,5 +3072,5 @@
 
 <p><img src="IMG/screenshot06.png"/></p>
-<p><u>Figure 32:</u> Steam input communication links.</p>
+<p><u>Figure 33:</u> Steam input communication links.</p>
 
 <p><a name="streamadd"><h4>3.19.1 Add Stream</h4></p>
@@ -3094,5 +3097,5 @@
 <p><img src="IMG/screenshot04.png"/></p>
 
-<p><u>Figure 33:</u> Casters table.</p>
+<p><u>Figure 34:</u> Casters table.</p>
 
 <p><a name="streamuser"><h4>3.19.1.1.3 User and Password - mandatory for protected streams</h4></p>
@@ -3112,5 +3115,5 @@
 </p>
 <p><img src="IMG/screenshot05.png"/></p>
-<p><u>Figure 34:</u> Broadcaster source-table.</p>
+<p><u>Figure 35:</u> Broadcaster source-table.</p>
 
 <p><a name="ntripv"><h4>3.19.1.1.5 NTRIP Version - mandatory</h4></p>
@@ -3142,5 +3145,5 @@
 
 <p><img src="IMG/screenshot24.png"/></p>
-<p><u>Figure 35:</u> Stream distribution map derived from NTRIP Broadcaster source-table.</p>
+<p><u>Figure 36:</u> Stream distribution map derived from NTRIP Broadcaster source-table.</p>
 
 <p><a name="streamip"><h4>3.19.1.2 Add Stream - Coming from TCP/IP Port</h4></p>
@@ -3216,5 +3219,5 @@
 </p>
 <p><img src="IMG/screenshot15.png"/></p>
-<p><u>Figure 36:</u> BNC setup for pulling a stream via serial port.</p>
+<p><u>Figure 37:</u> BNC setup for pulling a stream via serial port.</p>
 
 <p><a name="streamsdelete"><h4>3.19.2 Delete Stream</h4></p>